> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# Get Daily Storage Summaries

GET https://%7Baccount-domain%7D.console.eon.io/api/v1/projects/{projectId}/dashboard/daily-storage-summary

Retrieves a list of snapshot storage sizes per day for the given date range.

Reference: https://docs.eon.io/api/api-reference/billing/get-daily-storage-summaries

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — ID of the project whose daily storage summaries you want to retrieve. You can get your project ID from the [API Credentials](https://console.eon.io/global-management/api-credentials) page in your global management console.

### Query parameters

- `startDate` (date, required) — First day of the date range in `YYYY-MM-DD` format.
- `endDate` (date, required) — Last day of the date range in `YYYY-MM-DD` format.

## Response

### 200

Daily storage summaries retrieved.

- `data` (list of DailyStorageSummary, required) — List of daily storage summaries.

## Types

### DailyStorageSummary

- `summaryDay` (datetime, required) — Date the storage is calculated for.
- `dailyStorageBytes` (long, required) — Total snapshot storage for the day, in bytes.

## Examples

**Response**

```json
{
  "data": [
    {
      "summaryDay": "2024-11-01T00:00:00Z",
      "dailyStorageBytes": 225000000000000
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/v1/projects/f9304613-dddb-52fe-b883-f5e671a868a3/dashboard/daily-storage-summary"

querystring = {"endDate":"endDate","startDate":"startDate"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/v1/projects/f9304613-dddb-52fe-b883-f5e671a868a3/dashboard/daily-storage-summary?endDate=endDate&startDate=startDate';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{account-domain}.console.eon.io/api/v1/projects/f9304613-dddb-52fe-b883-f5e671a868a3/dashboard/daily-storage-summary?endDate=endDate&startDate=startDate")
  .header("Authorization", "Bearer <token>")
  .asString();
```